<?php 
class controlador{   	
	var $vars = array();    
	var $layout = 'default';    
	function __construct(){         
		if(isset($_POST)){            
			$this->data = $_POST;  
		} 
		if(isset($this->models)){   
			foreach($this->models as $v){ 
				$this->loadModel($v);   //charga del modelo, aquí parque_model       
			}         
		}
	} 
	
	function set($d){    
		$this->vars = array_merge($this->vars,$d);  //fusiona las tablas $this->vars et $d  
	}
	
	// inclusión del archivon que se pasao como parámetro    
	function render($filename){ 
		extract($this->vars);   //Importa las variables en la table de símbolos.     
		ob_start();       
		require(ROOT.'views/'.get_class($this).'/'.$filename.'.php');        
		$content_for_layout = ob_get_clean();  //Lee el contenido de memoria de salida y la borra
		//Esto permite recuperar el contenido de la vista y almacenar en la variable $content_for_layout
		require(ROOT.'views/layout/'.$this->layout.'.php');  
	} 
	
	function loadModel($name){  
		require_once(ROOT.'models/'.strtolower($name).'.php');        
		$this->$name = new $name();    
	} 
} ?>